Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLImageURL

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLImageURL

public class HTMLImageURL
extends HTMLElement

This class represents an HTML image URL. The image URL presents an image that invokes a URL when it's clicked. You may also provide a JavaScript click handler to respond when the image gets a mouse click.

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `clickHandler`
`protected java.lang.String` | `ImageFile`
`protected java.lang.String` | `Target`
`protected java.lang.String` | `theName`
`protected java.lang.String` | `title`
`protected java.lang.String` | `URL`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLImageURL(java.lang.String ImageFile, java.lang.String URL)`
`HTMLImageURL(java.lang.String ImageFile, java.lang.String URL, java.lang.String sTitle)`

Method Summary
`void` | `render(java.io.PrintWriter out)`
`void` | `setClickHandler(java.lang.String handler)` Sets the JavaScript code to be invoked when the user clicks the left mouse button on the image.
`void` | `setName(java.lang.String name)` Sets the image objects name on the HTML page.
`void` | `setTarget(java.lang.String target)` Sets the target window for the URL.
`void` | `setTitle(java.lang.String sTitle)` Sets the image's title or alternate text.

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ImageFile

    protected java.lang.String ImageFile

### URL

    protected java.lang.String URL

### title

    protected java.lang.String title

### Target

    protected java.lang.String Target

### clickHandler

    protected java.lang.String clickHandler

### theName

    protected java.lang.String theName

Constructor Detail

### HTMLImageURL

    public HTMLImageURL(java.lang.String ImageFile,
                        java.lang.String URL)

  Parameters:
    `ImageFile` - URL that points to the image file
    `URL` - URL to be invoked when user clicks on image

### HTMLImageURL

    public HTMLImageURL(java.lang.String ImageFile,
                        java.lang.String URL,
                        java.lang.String sTitle)

  Parameters:
    `ImageFile` - URL that points to the image file
    `URL` - URL to be invoked when user clicks on image

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the image objects name on the HTML page.

### setTarget

    public void setTarget(java.lang.String target)

  Sets the target window for the URL.

### setTitle

    public void setTitle(java.lang.String sTitle)

  Sets the image's title or alternate text.

### setClickHandler

    public void setClickHandler(java.lang.String handler)

  Sets the JavaScript code to be invoked when the user clicks the left mouse button on the image.

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD